CREATE SEQUENCE "RRS"."TBL_RESERVATIONLIST_SEQ";

  CREATE TABLE "RRS"."TBL_RESERVATIONLIST" 
   (	"RL_ID" NUMBER(6,0) NOT NULL ENABLE, 
	"COMPANYID" NUMBER(6,0) NOT NULL ENABLE, 
	"LEADERNAME" NVARCHAR2(50) NOT NULL ENABLE, 
	"DELETEPASSWORD" NVARCHAR2(50), 
	"ROOMID" NUMBER(6,0) NOT NULL ENABLE, 
	"RESERVATIONDATE" DATE NOT NULL ENABLE, 
	"RESERVATIONTIME" TIMESTAMP (6) NOT NULL ENABLE, 
	"TIMESPAN" TIMESTAMP (6) NOT NULL ENABLE, 
	"COLORNAME" NVARCHAR2(50) NOT NULL ENABLE, 
	 CONSTRAINT "TBL_RESERVATIONLIST_PK" PRIMARY KEY ("RL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE, 
	 CONSTRAINT "TBL_RESERVATIONLIST_TBL_C_FK1" FOREIGN KEY ("COMPANYID")
	  REFERENCES "RRS"."TBL_COMPANY" ("C_ID") ENABLE, 
	 CONSTRAINT "TBL_RESERVATIONLIST_TBL_R_FK1" FOREIGN KEY ("ROOMID")
	  REFERENCES "RRS"."TBL_ROOM" ("R_ID") ENABLE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

  CREATE OR REPLACE TRIGGER "RRS"."TBL_RESERVATIONLIST_TRG" BEFORE INSERT ON RRS.TBL_RESERVATIONLIST 
FOR EACH ROW 
BEGIN
      SELECT "RRS"."TBL_RESERVATIONLIST_SEQ".NEXTVAL INTO :NEW.RL_ID FROM DUAL;
END;
/
ALTER TRIGGER "RRS"."TBL_RESERVATIONLIST_TRG" ENABLE;
